From 502544be07011972fc810e370ba7d490b96115ad Mon Sep 17 00:00:00 2001
From: Ryan Pavlik <rpavlik@iastate.edu>
Date: Fri, 4 Nov 2011 15:21:35 -0500
Subject: [PATCH 01/43] os/osinit.c: Exclude new signal (sigaction) code on
 non-posix.

In particular, this is needed for MinGW builds.
---
 os/osinit.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/os/osinit.c b/os/osinit.c
index 45d202d..d1163c3 100644
--- a/os/osinit.c
+++ b/os/osinit.c
@@ -155,6 +155,7 @@ OsInit(void)
     char fname[PATH_MAX];
 
     if (!been_here) {
+#ifndef X_NO_POSIX
 	struct sigaction act, oact;
 	int i;
 	int siglist[] = { SIGSEGV, SIGQUIT, SIGILL, SIGFPE, SIGBUS,
@@ -199,6 +200,8 @@ OsInit(void)
 	dlinfo(RTLD_SELF, RTLD_DI_SETSIGNAL, &failure_signal);
 #endif
 
+#endif /* !X_NO_POSIX */
+
 #if !defined(__CYGWIN__) 
 	fclose(stdin);
 	fclose(stdout);
-- 
1.7.7.1

